{% extends "plantilla.html"%}


{% block contenido%}
{% load static %}

<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-4">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            Editar Marca {{marca.nombre_marca}} <div class="weight-60 font-3 text-blue">
          </h4>
        </div>
        <div class="col-md-8">

        </div>
      </div>
      <form class="" action="/procesarActualizarMarca/" method="post" enctype="multipart/form-data" id="frm_marca">
        {% csrf_token %}
        <input type="hidden" name="id"  value="{{marca.id}}">
        <div class="row">
          <div class="col-md-6">
            <label for="nombre_marca" class="form-label">Nombre de la Marca</label>
            <input type="text" class="form-control" name="nombre_marca" id="nombre_marca" placeholder="Nombre de la Marca" required value="{{marca.nombre_marca}}">
          </div>
          <div class="col-md-6">
            <label for="logo" class="form-label">Logo</label>
            <input type="file" name="logo" id="logo" class="form-control" accept="image/*">
            <img src="{{ marca.logo.url }}" alt="" id="imagenPreview">
          </div>
          <script>
            // Javascript para actualizar la imagen al cargar la página
            document.addEventListener('DOMContentLoaded', function () {
                var imgSrc = "{{ marca.logo.url }}";
                var imagenPreview = document.getElementById('imagen-preview');

                // Verificar si la imagen existe y es válida
                if (imgSrc) {
                    imagenPreview.src = imgSrc;
                }
            });
            
        </script>

        </div>
        <div class="col-md-12 mt-3">
          <center>
            <button type="submit" class="btn btn-primary"><i class="bi bi-floppy"></i>&nbsp; Guardar Marca</button>
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a type="button" class="btn btn-danger" href="/listadoMarcas/">Cancelar</a>
          </center>
        </div>
      </form>
    </div>

    </div>
  </div>




{% endblock %}
